/// <reference types="node" />
/**
 * 命令行加载提示类
 */
declare class Spinner {
    /**
     * 命令行提示文本
     */
    text: string;
    stream: NodeJS.WriteStream;
    frames: string[];
    private _interval;
    private _frameIndex;
    /**
     * 构造命令行提示器
     * @param text 提示文本
     */
    constructor(text?: string);
    /**
     * 清除之前的渲染
     */
    clear(): void;
    /**
     * 开启模拟加载动画
     */
    start(text?: string): void;
    /**
     * 停止动画，更改图标为 √，重置文本
     * @param {String} text 显示文本
     */
    succeed(text?: string): void;
    /**
     * 停止动画，更改图标为 ×，重置文本
     * @param {String} text
     */
    fail(text?: string): void;
    warn(text?: string): void;
    info(text?: string): void;
    /**
     * 停止加载动画
     */
    stop(): void;
    private _stopAndPersist;
    private _frame;
    /**
     * 重新渲染文本
     */
    private _render;
}
export = Spinner;
